Search documentation of ExStreamClient

# ExStreamClient.Model.UpsertConfigRequest (ExStreamClient v0.1.10)

View Source

Schema representing a UpsertConfigRequest

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.UpsertConfigRequest{
      ai_image_config: ExStreamClient.Model.AIImageConfig.t() | nil,
      ai_text_config: ExStreamClient.Model.AITextConfig.t() | nil,
      ai_video_config: ExStreamClient.Model.AIVideoConfig.t() | nil,
      async: boolean() | nil,
      automod_platform_circumvention_config:
        ExStreamClient.Model.AutomodPlatformCircumventionConfig.t() | nil,
      automod_semantic_filters_config:
        ExStreamClient.Model.AutomodSemanticFiltersConfig.t() | nil,
      automod_toxicity_config: ExStreamClient.Model.AutomodToxicityConfig.t() | nil,
      aws_rekognition_config: ExStreamClient.Model.AIImageConfig.t() | nil,
      block_list_config: ExStreamClient.Model.BlockListConfig.t() | nil,
      bodyguard_config: ExStreamClient.Model.AITextConfig.t() | nil,
      google_vision_config: ExStreamClient.Model.GoogleVisionConfig.t() | nil,
      key: String.t(),
      rule_builder_config: ExStreamClient.Model.RuleBuilderConfig.t() | nil,
      team: String.t() | nil,
      user: ExStreamClient.Model.UserRequest.t() | nil,
      user_id: String.t() | nil,
      velocity_filter_config: ExStreamClient.Model.VelocityFilterConfig.t() | nil,
      video_call_rule_config: ExStreamClient.Model.VideoCallRuleConfig.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()